<template>
  <v-row :justify="justify">
    <v-col style="max-width: 250px">
      <v-list>
        <v-list-item
          v-for="item in items"
          :key="item.title"
          :to="item.link"
          link
        >
          <v-list-item-icon>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-icon>

          <v-list-item-content>
            <v-list-item-subtitle>{{ item.title }}</v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';
import { getModule } from 'vuex-module-decorators';


@Component
export default class Menu extends Vue {
    @Prop() public justify!: string;
    private items = [
      { title: 'Главная', icon: 'account_box', link: '/'  },
      { title: 'Достижения', icon: 'accessible', link: '/achievements' },
      { title: 'Проекты', icon: 'dashboard', link: '/projects' },
    ];
}
</script>
